com.strongloop.android.loopback

## Class ContainerRepository

- java.lang.Object
- - com.strongloop.android.remoting.Repository<T>
  - - com.strongloop.android.loopback.RestRepository<Container>
    - - com.strongloop.android.loopback.ContainerRepository

    public class ContainerRepository
    extends RestRepository<Container>

### Constructor Summary

Constructors
Constructor and Description
`ContainerRepository()`

### Method Summary

Methods
`void` `create(java.lang.String name, ObjectCallback<Container> callback)` Create a new container.
`RestContract` `createContract()` Creates a `RestContract` representing the user type's custom routes.
`void` `get(java.lang.String containerName, ObjectCallback<Container> callback)` Get a named container
`void` `getAll(ListCallback<Container> callback)` List all containers.

### Methods inherited from class com.strongloop.android.loopback.RestRepository

`getApplicationContext, getRestAdapter`

### Methods inherited from class com.strongloop.android.remoting.Repository

`createObject, getAdapter, getClassName, invokeStaticMethod, invokeStaticMethod, setAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerRepository

    public ContainerRepository()

### Method Detail

#### createContract

    public RestContract createContract()

Creates a `RestContract` representing the user type's custom routes. Used to extend an `Adapter` to support user. Calls super `ModelRepository` createContract first.

Overrides:
  `createContract` in class `RestRepository<Container>`
Returns:
  A `RestContract` for this model type.

#### create

    public void create(java.lang.String name,
              ObjectCallback<Container> callback)

Create a new container.

Parameters:
  `name` - The name of the container, must be unique.
  `callback` - The callback to be executed when finished.

#### get

    public void get(java.lang.String containerName,
           ObjectCallback<Container> callback)

Get a named container

Parameters:
  `containerName` - The container name.
  `callback` - The callback to be executed when finished.

#### getAll

    public void getAll(ListCallback<Container> callback)

List all containers.

Parameters:
  `callback` - The callback to be executed when finished.